#Module-Specific definitions
%define mod_name mod_ip_count
%define mod_conf A34_%{mod_name}.conf
%define mod_so %{mod_name}.so

%define svn_rev r353

Summary:	DSO module for the apache web server
Name:		apache-%{mod_name}
Version:	2.0
Release:	%mkrel 10
License:	Apache License
Group:		System/Servers
# http://feh.holsman.net
#URL:		http://svn.zilbo.com/svn/mod_ip_count/trunk/
URL:		http://www.zilbo.com/
Source0: 	%{mod_name}-%{version}-%{svn_rev}.tar.bz2
Source1:	%{mod_conf}.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
#BuildRequires:	apr_memcache-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_ip_count is a DoS prevention apache module. It works by
restricting the number of requests that a given client can issue
to a server pool.

%prep

%setup -q -n %{mod_name}

%build

sh ./autogen.sh

%configure2_5x --localstatedir=/var/lib \
    --with-apxs=%{_sbindir}/apxs

#%{_sbindir}/apxs -I. -I%{_includedir}/apr_memcache-0 -lapr_memcache -c %{mod_name}.c 

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*




%changelog
* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-10mdv2009.0
+ Revision: 234963
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-9mdv2009.0
+ Revision: 215591
- fix rebuild
- hard code %%{_localstatedir}/lib to ease backports

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-8mdv2008.1
+ Revision: 181777
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:2.0-7mdv2008.1
+ Revision: 170729
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-6mdv2008.0
+ Revision: 82598
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0-5mdv2007.1
+ Revision: 140704
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-4mdv2007.0
+ Revision: 79443
- Import apache-mod_ip_count

* Thu Aug 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-4mdv2007.0
- new svn snap (r353)

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-3mdv2007.0
- rebuild

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-2mdk
- rebuilt against apache-2.2.0
- new svn snap (r42)

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-1mdk
- fix versioning

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0-1.r32.2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sat Mar 19 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0-0.r32.1mdk
- initial package

